import {Component, HostListener, OnInit} from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'Tabu';
  view = 'desktopView';

  ngOnInit(): void {
    const width = window.innerWidth;
    this.setView(width);
  }

  @HostListener('window:resize', ['$event'])
  onResize($event: any): any {
    console.log('RESIZE');
    const width = window.innerWidth;
    this.setView(width);
  }

  setView(width: number): void {
    if (width < 768) {
      this.view = 'mobileView';
    } else if (width < 1024){
      this.view = 'tabletView';
    } else {
      this.view = 'desktopView';
    }
  }
}
